summaryrefslogtreecommitdiffstats
path: root/libraries/libwebp
diff options
context:
space:
mode:
author powtrix <powtrix@gmail.com>2011-12-11 23:23:37 -0600
committer Niels Horn <niels.horn@slackbuilds.org>2011-12-18 00:07:46 -0200
commitaf19b2e74b544d59fd711a4215c261f5ceb2ad61 (patch)
treec87d76c334584aa5ed8a9f6135380e3f906d5bf3 /libraries/libwebp
parent20d5a40ea0e29b7ca515bc24ad6d422213189250 (diff)
downloadslackbuilds-af19b2e74b544d59fd711a4215c261f5ceb2ad61.tar.gz
slackbuilds-af19b2e74b544d59fd711a4215c261f5ceb2ad61.tar.xz
libraries/libwebp: Added (WebP photo compression library)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries/libwebp')
-rw-r--r--libraries/libwebp/README5
-rw-r--r--libraries/libwebp/libwebp.SlackBuild74
-rw-r--r--libraries/libwebp/libwebp.info10
-rw-r--r--libraries/libwebp/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/libraries/libwebp/README b/libraries/libwebp/README
new file mode 100644
index 0000000000..947913d3da
--- /dev/null
+++ b/libraries/libwebp/README
@@ -0,0 +1,5 @@
+WebP is a method of lossy compression that can be used on photographic
+images. The degree of compression is adjustable so a user can choose
+the trade-off between file size and image quality.
+WebP typically achieves an average of 39% more compression than JPEG
+and JPEG 2000, without loss of image quality.
diff --git a/libraries/libwebp/libwebp.SlackBuild b/libraries/libwebp/libwebp.SlackBuild
new file mode 100644
index 0000000000..95c2664343
--- /dev/null
+++ b/libraries/libwebp/libwebp.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for webP
+# written by powtrix (@gmail.com)
+
+PRGNAM=libwebp
+VERSION=0.1.3
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar zxf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS PATENTS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libwebp/libwebp.info b/libraries/libwebp/libwebp.info
new file mode 100644
index 0000000000..66770d3aa0
--- /dev/null
+++ b/libraries/libwebp/libwebp.info
@@ -0,0 +1,10 @@
+PRGNAM="libwebp"
+VERSION="0.1.3"
+HOMEPAGE="http://code.google.com/speed/webp/"
+DOWNLOAD="http://webp.googlecode.com/files/libwebp-0.1.3.tar.gz"
+MD5SUM="254d4670e14e9ed881f0536b006ab336"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="powtrix"
+EMAIL="powtrix@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libwebp/slack-desc b/libraries/libwebp/slack-desc
new file mode 100644
index 0000000000..e1dcbc08af
--- /dev/null
+++ b/libraries/libwebp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libwebp: libwebp (WebP photo compression library)
+libwebp:
+libwebp: WebP is a method of lossy compression that can be used on
+libwebp: photographic images. The degree of compression is adjustable so a
+libwebp: user can choose the trade-off between file size and image quality.
+libwebp: WebP typically achieves an average of 39% more compression than
+libwebp: JPEG and JPEG 2000, without loss of image quality.
+libwebp:
+libwebp: Homepage: http://code.google.com/speed/webp/
+libwebp:
+libwebp: